Bug 1378673 (CVE-2016-7051)

Summary: CVE-2016-7051 jackson-dataformat-xml: XmlMapper is vulnerable to SSRF attack
Product: [Other] Security Response Reporter: Jason Shepherd <jshepherd>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: carnil, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20160929,reported=20160922,source=researcher,cvss2=5.0/AV:N/AC:L/Au:N/C:P/I:N/A:N,cvss3=5.8/CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:L/I:N/A:N,cwe=CWE-918,fedora-all/jberet=affected,fedora-all/jackson-dataformat-xml=affected,fedora-all/wildfly=notaffected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1380205, 1380206    
Bug Blocks: 1378674    

Description Jason Shepherd 2016-09-23 03:47:22 UTC
A flaw was found in jackson-dataformat-xml's XmlMapper which allows XXE Out of Band attack. An attacker could use this flaw to launch a SSRF attack.

Comment 1 Jason Shepherd 2016-09-23 03:47:27 UTC
Acknowledgments:

Name: Adith Sudhakar

Comment 3 Jason Shepherd 2016-09-28 23:31:42 UTC
Created jberet tracking bugs for this issue:

Affects: fedora-all [bug 1380205]

Comment 4 Jason Shepherd 2016-09-28 23:31:47 UTC
Created jackson-dataformat-xml tracking bugs for this issue:

Affects: fedora-all [bug 1380206]

Comment 5 Salvatore Bonaccorso 2016-12-20 17:10:51 UTC
Hi

Is this a duplicate of CVE-2016-3720?

Regards,
Salvatore

Comment 6 Kurt Seifried 2016-12-25 19:21:57 UTC
(In reply to Salvatore Bonaccorso from comment #5)
> Hi
> 
> Is this a duplicate of CVE-2016-3720?
> 
> Regards,
> Salvatore

Good questions. Resetting NEEDINFO to amaris@redhat.com, he assigned CVE-2016-7051 in response to jsheppard@redhat.com, I've looked at the bugs but it's a bit convoluted. I've also emailed them to ensure they see this.

Comment 7 Jason Shepherd 2017-01-03 00:57:23 UTC
These 2 issues are distinct. The first issues was about XXE, and was fixed with the change in line 115 here:

https://github.com/FasterXML/jackson-dataformat-xml/blob/master/src/main/java/com/fasterxml/jackson/dataformat/xml/XmlFactory.java

The second issue was about DTD, and was fixed with the change in line 117.

Comment 8 Salvatore Bonaccorso 2017-01-05 20:50:02 UTC
Thanks for the clarification.